Subject: Re: [bug#30629] [PATCH 0/5] Detect missing modules in the initrd

From: Danny Milosavljevic <[email-masked]>
Date: Thu, 1 Mar 2018 11:11:00 +0100

Hi Ludo,

On Thu, 01 Mar 2018 11:05:33 +0100
[email-masked] (Ludovic Courtès) wrote:

> >> >  (define* (base-initrd file-systems
> >> >                        #:key
> >> >                        (linux linux-libre)
> >> > +                      (linux-modules '())
> >> >                        (kmod kmod-minimal/static)
> >> >                        (mapped-devices '())
> >> >                        qemu-networking?    
> >> 
> >> We no longer need #:kmod here.  
> >
> > Yes, we do.  
> 
> I mean in the final version we’ll use the (gnu build linux-modules) I
> think, so we won’t need kmod anymore.  Or am I missing something?

depmod.  It creates the modules.alias in the first place - it won't go away
even after we use (gnu build linux-modules) for looking up stuff in
modules.alias .